Greetings, glorious adventurers! If you're joining in our ongoing Alpha One testing, please follow the steps here to see all the latest test info on our forums and Discord!

Your game version if out of date must be upgraded.

I reinstalled Ashes 2 times. Still keep getting this error. How do I fix it?
Zug Zug

Comments

This discussion has been closed.